{**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    AvoSMS
*  @copyright 2020-2022 AvoSMS
*  @license   LICENSE.txt
*}
<form action="{$link->getAdminLink('ConfigAvoSMS')|escape:'htmlall':'UTF-8'}" class="defaultForm form-horizontal" method="post">
    <div class="panel panel-default">
        <div class="panel-heading">{l s='General configuration' mod='avosms'}</div>
        <div class="panel-body">
            
            <div class="form-wrapper">
                
                <div class="form-group">
                    <label class="control-label col-lg-4 required text-right" for="AVOSMS_NOM_EXPEDITEUR"> {l s='Personalised sender name' mod='avosms'}</label>
                    <div class="col-lg-8">
                        <input type="text" name="AVOSMS_NOM_EXPEDITEUR" id="AVOSMS_NOM_EXPEDITEUR" value="{$avosms_nom_expediteur|escape:'htmlall':'UTF-8'}" maxlength="11" required="required">
                        <p class="help-block">
                            {l s='This sender name will be used for all your SMS messages and will appear as the sender of the message to your customer. You can use up to 11 characters, without spaces.' mod='avosms'}
                        </p>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-lg-4 text-right" for="AVOSMS_SUIVI_CLIC_CHECKBOX">{l s='Tracking clicks' mod='avosms'}</label>
                    <div class="col-lg-8">

                        <div class="checkbox">
                            <label for="AVOSMS_SUIVI_CLIC_CHECKBOX">
                                <input type="checkbox" name="AVOSMS_SUIVI_CLIC_CHECKBOX" id="AVOSMS_SUIVI_CLIC_CHECKBOX" value="1" {$avosms_checked_suivi_clic|escape:'htmlall':'UTF-8'}>
                            </label>
                        </div>
                        <p class="help-block">
                            {l s='Allows you to track the number of clicks on your links' mod='avosms'}
                        </p>
                    </div>
                </div>

                <hr/>

                <div class="form-group">
                    <label class="control-label col-lg-4 text-right" for="AVOSMS_COMMANDE_CONFIRM_GERANT_CHECKBOX">{l s='SMS Manager order confirmed' mod='avosms'}</label>
                    <div class="col-lg-8">

                        <div class="checkbox">
                            <label for="AVOSMS_COMMANDE_CONFIRM_GERANT_CHECKBOX">
                                <input type="checkbox" name="AVOSMS_COMMANDE_CONFIRM_GERANT_CHECKBOX" id="AVOSMS_COMMANDE_CONFIRM_GERANT_CHECKBOX" value="1" {$avosms_checked_commande_confirm_gerant|escape:'htmlall':'UTF-8'}>
                            </label>
                        </div>

                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-lg-4 required text-right" for="AVOSMS_COMMANDE_CONFIRM_GERANT_TELEPHONE"> {l s='Telephone number' mod='avosms'}</label>
                    <div class="col-lg-8">
                        <input type="text" name="AVOSMS_COMMANDE_CONFIRM_GERANT_TELEPHONE" id="AVOSMS_COMMANDE_CONFIRM_GERANT_TELEPHONE" value="{$avosms_commande_confirm_gerant_telephone|escape:'htmlall':'UTF-8'}" maxlength="30">
                        <p class="help-block">
                            {l s=' Mobile phone number to which the SMS notification for a confirmed order is sent.' mod='avosms'}
                        </p>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-lg-4 required text-right" for="AVOSMS_COMMANDE_CONFIRM_GERANT_CONTENU"> {l s='Content of the SMS' mod='avosms'}</label>
                    <div class="col-lg-8">

                        <textarea name="AVOSMS_COMMANDE_CONFIRM_GERANT_CONTENU" id="AVOSMS_COMMANDE_CONFIRM_GERANT_CONTENU" class="textarea-autosize" rows="5" maxlength="600">{$avosms_commande_confirm_gerant_contenu|escape:'htmlall':'UTF-8'}</textarea>
                        <p class="help-block">
                            {l s='This SMS will be triggered and sent automatically when an order is confirmed.' mod='avosms'}
                        </p>
                    </div>
                </div>

                <div class="form-group text-center">
                    <div class="col-lg-4"></div>
                    <div class="col-lg-8">
                        <div id='afficheVarPersoSmsGerantConfirmCommande'></div>
                        <br/>
                        {l s='Above are the custom variables available for this event. These will be replaced by the customer data when the SMS is sent.' mod='avosms'}
                    </div>
                </div>

                <hr/>

                <div class="form-group">
                    <label class="control-label col-lg-4 text-right" for="AVOSMS_COMMANDE_CONFIRM_CHECKBOX">{l s='SMS order confirmed' mod='avosms'}</label>
                    <div class="col-lg-8">

                        <div class="checkbox">
                            <label for="AVOSMS_COMMANDE_CONFIRM_CHECKBOX">
                                <input type="checkbox" name="AVOSMS_COMMANDE_CONFIRM_CHECKBOX" id="AVOSMS_COMMANDE_CONFIRM_CHECKBOX" value="1" {$avosms_checked_commande_confirm|escape:'htmlall':'UTF-8'}>
                            </label>
                        </div>

                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-lg-4 required text-right" for="AVOSMS_COMMANDE_CONFIRM_CONTENU"> {l s='Content of the SMS' mod='avosms'}</label>
                    <div class="col-lg-8">

                        <textarea name="AVOSMS_COMMANDE_CONFIRM_CONTENU" id="AVOSMS_COMMANDE_CONFIRM_CONTENU" class="textarea-autosize" rows="5" maxlength="600">{$avosms_commande_confirm_contenu|escape:'htmlall':'UTF-8'}</textarea>
                        <p class="help-block">
                            {l s='This SMS will be triggered and sent automatically to every customer who places an order when it is confirmed.' mod='avosms'}
                        </p>
                    </div>
                </div>

                <div class="form-group text-center">
                    <div class="col-lg-4"></div>
                    <div class="col-lg-8">
                        <div id='afficheVarPersoSmsConfirmCommande'></div>
                        <br/>
                        {l s='Above are the custom variables available for this event. These will be replaced by the customer data when the SMS is sent.' mod='avosms'}
                    </div>
                </div>

                <hr/>

                <div class="form-group">
                    <label class="control-label col-lg-4 text-right" for="AVOSMS_COMMANDE_EXPEDIE_CHECKBOX">{l s='SMS order shipped' mod='avosms'}</label>
                    <div class="col-lg-8">

                        <div class="checkbox">
                            <label for="AVOSMS_COMMANDE_EXPEDIE_CHECKBOX">
                                <input type="checkbox" name="AVOSMS_COMMANDE_EXPEDIE_CHECKBOX" id="AVOSMS_COMMANDE_EXPEDIE_CHECKBOX" value="1" {$avosms_checked_commande_expedie|escape:'htmlall':'UTF-8'}>
                            </label>
                        </div>

                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-lg-4 required text-right" for="AVOSMS_COMMANDE_EXPEDIE_CONTENU"> {l s='Content of the SMS' mod='avosms'}</label>
                    <div class="col-lg-8">

                        <textarea name="AVOSMS_COMMANDE_EXPEDIE_CONTENU" id="AVOSMS_COMMANDE_EXPEDIE_CONTENU" class="textarea-autosize" rows="5" maxlength="600">{$avosms_commande_expedie_contenu|escape:'htmlall':'UTF-8'}</textarea>
                        <p class="help-block">
                            {l s='This SMS will be triggered and sent automatically to each customer when their order is marked as shipped by your services.' mod='avosms'}
                        </p>
                    </div>
                </div>

                <div class="form-group text-center">
                    <div class="col-lg-4"></div>
                    <div class="col-lg-8">
                        <div id='afficheVarPersoSmsExpidieCommande'></div>
                        <br/>
                        {l s='Above are the custom variables available for this event. These will be replaced by the customer data when the SMS is sent.' mod='avosms'}
                    </div>
                </div>

                <hr/>

                <div class="form-group">
                    <label class="control-label col-lg-4 text-right" for="AVOSMS_COMMANDE_ANNULE_CHECKBOX">{l s='SMS order cancelled' mod='avosms'}</label>
                    <div class="col-lg-8">

                        <div class="checkbox">
                            <label for="AVOSMS_COMMANDE_ANNULE_CHECKBOX">
                                <input type="checkbox" name="AVOSMS_COMMANDE_ANNULE_CHECKBOX" id="AVOSMS_COMMANDE_ANNULE_CHECKBOX" value="1" {$avosms_checked_commande_annule|escape:'htmlall':'UTF-8'}>
                            </label>
                        </div>

                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-lg-4 required text-right" for="AVOSMS_COMMANDE_ANNULE_CONTENU"> {l s='Content of the SMS' mod='avosms'}</label>
                    <div class="col-lg-8">

                        <textarea name="AVOSMS_COMMANDE_ANNULE_CONTENU" id="AVOSMS_COMMANDE_ANNULE_CONTENU" class="textarea-autosize" rows="5" maxlength="600">{$avosms_commande_annule_contenu|escape:'htmlall':'UTF-8'}</textarea>
                        <p class="help-block">
                            {l s='This SMS will be triggered and sent automatically to each customer when an order placed has been cancelled by your services.' mod='avosms'}
                        </p>
                    </div>
                </div>

                <div class="form-group text-center">
                    <div class="col-lg-4"></div>
                    <div class="col-lg-8">
                        <div id='afficheVarPersoSmsAnnuleCommande'></div>
                        <br/>
                        {l s='Above are the custom variables available for this event. These will be replaced by the customer data when the SMS is sent.' mod='avosms'}
                    </div>
                </div>

            </div>
            
        </div>
        <div class="panel-footer">
            <button type="submit" value="1" id="configuration_gen_form_submit_btn" name="submitConfigGeneraleAvosms" class="btn pull-right">{l s='Confirm' mod='avosms'}</button>
        </div>
    </div>
</form>

<script>
    $("#afficheVarPersoSmsGerantConfirmCommande").append("<span class=\'spanSmsGerantCommandeConfirmVarPerso badge pointer\'>%{l s='customerfirstname' mod='avosms'}%</span> <span class=\'spanSmsGerantCommandeConfirmVarPerso badge pointer\'>%{l s='customerlastname' mod='avosms'}%</span> <span class=\'spanSmsGerantCommandeConfirmVarPerso badge pointer\'>%{l s='ordernumber' mod='avosms'}%</span> <span class=\'spanSmsGerantCommandeConfirmVarPerso badge pointer\'>%{l s='shopname' mod='avosms'}%</span>");


    $(".spanSmsGerantCommandeConfirmVarPerso").off("click").on("click", function()
    {
        var textSpanClick = $(this).text();

        var contenuActuel = $("#AVOSMS_COMMANDE_CONFIRM_GERANT_CONTENU").val();

        $("#AVOSMS_COMMANDE_CONFIRM_GERANT_CONTENU").val(contenuActuel + textSpanClick);
    });



    $("#afficheVarPersoSmsConfirmCommande").append("<span class=\'spanSmsCommandeConfirmVarPerso badge pointer\'>%{l s='customerfirstname' mod='avosms'}%</span> <span class=\'spanSmsCommandeConfirmVarPerso badge pointer\'>%{l s='customerlastname' mod='avosms'}%</span> <span class=\'spanSmsCommandeConfirmVarPerso badge pointer\'>%{l s='ordernumber' mod='avosms'}%</span> <span class=\'spanSmsCommandeConfirmVarPerso badge pointer\'>%{l s='shopname' mod='avosms'}%</span>");

    $(".spanSmsCommandeConfirmVarPerso").off("click").on("click", function()
    {
        var textSpanClick = $(this).text();

        var contenuActuel = $("#AVOSMS_COMMANDE_CONFIRM_CONTENU").val();

        $("#AVOSMS_COMMANDE_CONFIRM_CONTENU").val(contenuActuel + textSpanClick);
    });



    $("#afficheVarPersoSmsExpidieCommande").append("<span class=\'spanSmsCommandeExpedieVarPerso badge pointer\'>%{l s='customerfirstname' mod='avosms'}%</span> <span class=\'spanSmsCommandeExpedieVarPerso badge pointer\'>%{l s='customerlastname' mod='avosms'}%</span> <span class=\'spanSmsCommandeExpedieVarPerso badge pointer\'>%{l s='ordernumber' mod='avosms'}%</span> <span class=\'spanSmsCommandeExpedieVarPerso badge pointer\'>%{l s='shopname' mod='avosms'}%</span>");

    $(".spanSmsCommandeExpedieVarPerso").off("click").on("click", function()
    {
        var textSpanClick = $(this).text();

        var contenuActuel = $("#AVOSMS_COMMANDE_EXPEDIE_CONTENU").val();

        $("#AVOSMS_COMMANDE_EXPEDIE_CONTENU").val(contenuActuel + textSpanClick);
    });

    $("#afficheVarPersoSmsAnnuleCommande").append("<span class=\'spanSmsCommandeAnnuleVarPerso badge pointer\'>%{l s='customerfirstname' mod='avosms'}%</span> <span class=\'spanSmsCommandeAnnuleVarPerso badge pointer\'>%{l s='customerlastname' mod='avosms'}%</span> <span class=\'spanSmsCommandeAnnuleVarPerso badge pointer\'>%{l s='ordernumber' mod='avosms'}%</span> <span class=\'spanSmsCommandeAnnuleVarPerso badge pointer\'>%{l s='shopname' mod='avosms'}%</span>");

    $(".spanSmsCommandeAnnuleVarPerso").off("click").on("click", function()
    {
        var textSpanClick = $(this).text();

        var contenuActuel = $("#AVOSMS_COMMANDE_ANNULE_CONTENU").val();

        $("#AVOSMS_COMMANDE_ANNULE_CONTENU").val(contenuActuel + textSpanClick);
    });
</script>