{**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    AvoSMS
*  @copyright 2020-2022 AvoSMS
*  @license   LICENSE.txt
*}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A==" crossorigin="anonymous" referrerpolicy="no-referrer" />

<form action="{$link->getAdminLink('SendSmsAvoSMS')|escape:'htmlall':'UTF-8'}" class="defaultForm form-horizontal" method="post">
    <div class="panel panel-default">
        <div class="panel-heading">{l s='Send SMS' mod='avosms'}</div>
        <div class="panel-body">

        	<div class="form-wrapper">

        		

                <div class="form-group">
                	<label class="control-label col-lg-4 required text-right"> {l s='Delivery method' mod='avosms'}</label>
                    <div class="col-lg-8">

                    	<div class="radio">
                    		<label>
                        		<input type="radio" name="AVOSMS_SEND_SMS_MODE_ENVOI" id="envoi_all_client" value="1" class="radioModeEnvoiSms"/> {l s='All customers' mod='avosms'} ({$avosms_send_sms_affiche_nb_client|escape:'htmlall':'UTF-8'})
                        	</label>
                        	<br/>
                        	<label>
                        		<input type="radio" name="AVOSMS_SEND_SMS_MODE_ENVOI" id="envoi_abo_newsletter" value="2" class="radioModeEnvoiSms"/> {l s='All newsletter subscribers' mod='avosms'} ({$avosms_send_sms_affiche_nb_client_abo_newsletter|escape:'htmlall':'UTF-8'})
                        	</label>
                        	<br/>
                        	<label>
                        		<input type="radio" name="AVOSMS_SEND_SMS_MODE_ENVOI" id="envoi_list_contact_avosms" value="3" class="radioModeEnvoiSms"/> {l s='AvoSMS contact list' mod='avosms'}
                        	</label>
                        	<br/>
                        	<label>
                        		<input type="radio" name="AVOSMS_SEND_SMS_MODE_ENVOI" id="envoi_unique" value="4" class="radioModeEnvoiSms"/> {l s='Single recipient' mod='avosms'}
                        	</label>
                        </div>

                    </div>
                </div>

                <div class="form-group divAfficheModeEnvoiInfo" id="divAfficheEnvoiUnique" style="display:none">
                    <label class="control-label col-lg-4 required text-right" for="AVOSMS_SEND_SMS_NUMERO"> {l s='Telephone number' mod='avosms'}</label>
                    <div class="col-lg-8">
                        <input type="text" name="AVOSMS_SEND_SMS_NUMERO" id="AVOSMS_SEND_SMS_NUMERO" maxlength="30">
                        <p class="help-block">
                            {l s='Mobile phone number to which the SMS is sent.' mod='avosms'}
                            <br/>
                            {l s='When sending an SMS outside of France, do not forget to enter the country code.' mod='avosms'}
                        </p>
                    </div>
                </div>

                <div class="form-group divAfficheModeEnvoiInfo" id="divAfficheEnvoiListeContactAvosms" style="display:none">
                    {$affiche_liste_contact_avosms}
                </div>

                <hr/>

                {$affiche_liste_modele_avosms}

                <div class="form-group">
                    <div class="col-lg-4 text-right">

                        <label class="control-label required text-right" for="AVOSMS_SEND_SMS_CONTENU"> {l s='Content of the SMS' mod='avosms'}</label> <i class="fa fa-info-circle fa-lg pointer" id="showCaractereAutorize" ></i>
                    </div>
                    <div class="col-lg-8">

                        <textarea name="AVOSMS_SEND_SMS_CONTENU" id="AVOSMS_SEND_SMS_CONTENU" class="textarea-autosize" rows="5" maxlength="600"></textarea>

                        <div class="row">
                            <div class="col-lg-7">
                                <div id="afficheMsgStopInfo" style="margin-top:8px;width:100%">
                                    <small>{l s='A "STOP" or unsubscribe link is automatically inserted at the end of the message' mod='avosms'}</small>
                                </div>
                            </div>
                            <div class="col-lg-5" id="countLetter" style="margin-top:8px;text-align:right">
                                14 / 160 {l s='characters (cost : 1 SMS)' mod='avosms'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                       
                    </div>
                </div>

                <hr/>


                <div class="form-group">
                	<label class="control-label col-lg-4 required text-right"> {l s='Date of sending' mod='avosms'}</label>
                    <div class="col-lg-8">
                    	<input id="AVOSMS_SEND_SMS_MOMENT_ENVOI" name="AVOSMS_SEND_SMS_MOMENT_ENVOI" type="text" value="{$dateNow|escape:'htmlall':'UTF-8'}">
                 	</div>
                </div>

            </div>

        </div>
        <div class="panel-footer">
            <button type="submit" value="1" id="send_sms_form_submit_btn" name="submitSendSmsAvosms" class="btn pull-right">{l s='Confirm' mod='avosms'}</button>
        </div>
    </div>
</form>

<div class="modal fade" id="modalTraitement" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="titleModalTraitement"></h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body" id="bodyModalTraitement"></div>
            <div class="modal-footer">
                <button class="btn btn-secondary" type="button" data-dismiss="modal" id="cancelModalTraitement"></button>
                <button class="btn btn-primary" type="button" id="confirmModalTraitement"></button>
            </div>
        </div>
    </div>
</div>

<script>
	$('#AVOSMS_SEND_SMS_MOMENT_ENVOI').datetimepicker({});

    $('.radioModeEnvoiSms').off("click").on("click", function()
    {
        var valueCheckedNow = $(this).val();

        $(".divAfficheModeEnvoiInfo").hide();

        if(valueCheckedNow == 3)
        {
            $('#divAfficheEnvoiListeContactAvosms').show();
        }
        else if(valueCheckedNow == 4)
        {
            $('#divAfficheEnvoiUnique').show();
        }
    });

    $('#showCaractereAutorize').off("click").on("click", function()
    {
        $('#titleModalTraitement').html("{l s='List of GSM-7 characters' mod='avosms'}");
        $('#bodyModalTraitement').html("<font color='red' size='5'>{l s='Emojis are not accepted' mod='avosms'}</font>" +
                                        '<br/><br/>' +
                                        "{l s='Here is the list of' mod='avosms'} <strong>{l s='permitted characters :' mod='avosms'}</strong>" +
                                        '<br/><br/>' +
                                        '<div class="panel panel-default">' +
                                            '<div class="panel-body" style="background-color:#ecf0f1">' +
                                                '0 1 2 3 4 5 6 7 8 9' +
                                                '<br/>' +
                                                'a A b B c C d D e E f F g G h H i I j J k K l L m M' +
                                                '<br/>' +
                                                'n N o O p P q Q r R s S t T u U v V w W x X y Y z Z' +
                                                '<br/>' +
                                                'Ç É é è à ù' +
                                                '<br/>' +
                                                ', ? ; . : !' +
                                                '<br/>' +
                                                '$ & " \' ( ) - _ = + % * @ / < >' +
                                            '</div>' +
                                        '</div>' +
                                        '<br/>' +
                                        "{l s='Here is the list of' mod='avosms'} <strong>{l s='allowed characters that count for double :' mod='avosms'}</strong>" +
                                        '<br/><br/>' +
                                        '<div class="panel panel-default">' +
                                            '<div class="panel-body" style="background-color:#ecf0f1">' +
                                                '€ { } [ ] |' +
                                            '</div>' +
                                        '</div>' +
                                        '<br/>' +
                                        "{l s='Here is the list of' mod='avosms'} <strong>{l s='non-permitted characters replaced by a close character :' mod='avosms'}</strong>" +
                                        '<br/><br/>' +
                                        '<div class="panel panel-default">' +
                                            '<div class="panel-body" style="background-color:#ecf0f1">' +
                                                "â ê î ô û ä ë ï ö ü ÿ å ç ° œ  \\ {l s='becomes (see below)' mod='avosms'}" +
                                                '<br/>' +
                                                'a e i o u a e i o u y a c \' oe /' +

                                                '<br/><br/>' +

                                                "Â Ê Î Ô Û Ä Ä Ï Ö Ü Ÿ Á {l s='becomes (see below)' mod='avosms'}" +
                                                '<br/>' +
                                                'A E I O U A E I O U Y A' +

                                                '<br/><br/>' +

                                                "´ / ` / „ / ” / “ / ’ / ‘ / « / » {l s='becomes (see below)' mod='avosms'}" +
                                                '<br/>' +
                                                '\' / \' / " / " / " / \' / \' / " / "' +
                                            '</div>' +
                                        '</div>');

        $('#cancelModalTraitement').html("{l s='close' mod='avosms'}");
        $('#cancelModalTraitement').css('display', 'block');

        $('#confirmModalTraitement').css('display', 'none');

        $("#modalTraitement").modal('show');
    });

    $("#AVOSMS_SEND_SMS_CONTENU").keyup(function()
    {
        var contenuSms = $(this).val();

        var stringNoEmoji = removeEmojis(contenuSms);

        calculNbCaractModele(stringNoEmoji);
    });

    function removeEmojis (string)
    {
        var regex = /(?:[\u2700-\u27bf]|(?:\ud83c[\udde6-\uddff]){2}|[\ud800-\udbff][\udc00-\udfff]|[\u0023-\u0039]\ufe0f?\u20e3|\u3299|\u3297|\u303d|\u3030|\u24c2|\ud83c[\udd70-\udd71]|\ud83c[\udd7e-\udd7f]|\ud83c\udd8e|\ud83c[\udd91-\udd9a]|\ud83c[\udde6-\uddff]|\ud83c[\ude01-\ude02]|\ud83c\ude1a|\ud83c\ude2f|\ud83c[\ude32-\ude3a]|\ud83c[\ude50-\ude51]|\u203c|\u2049|[\u25aa-\u25ab]|\u25b6|\u25c0|[\u25fb-\u25fe]|\u00a9|\u00ae|\u2122|\u2139|\ud83c\udc04|[\u2600-\u26FF]|\u2b05|\u2b06|\u2b07|\u2b1b|\u2b1c|\u2b50|\u2b55|\u231a|\u231b|\u2328|\u23cf|[\u23e9-\u23f3]|[\u23f8-\u23fa]|\ud83c\udccf|\u2934|\u2935|[\u2190-\u21ff])\s/g;

        var regexNoSpace = /(?:[\u2700-\u27bf]|(?:\ud83c[\udde6-\uddff]){2}|[\ud800-\udbff][\udc00-\udfff]|[\u0023-\u0039]\ufe0f?\u20e3|\u3299|\u3297|\u303d|\u3030|\u24c2|\ud83c[\udd70-\udd71]|\ud83c[\udd7e-\udd7f]|\ud83c\udd8e|\ud83c[\udd91-\udd9a]|\ud83c[\udde6-\uddff]|\ud83c[\ude01-\ude02]|\ud83c\ude1a|\ud83c\ude2f|\ud83c[\ude32-\ude3a]|\ud83c[\ude50-\ude51]|\u203c|\u2049|[\u25aa-\u25ab]|\u25b6|\u25c0|[\u25fb-\u25fe]|\u00a9|\u00ae|\u2122|\u2139|\ud83c\udc04|[\u2600-\u26FF]|\u2b05|\u2b06|\u2b07|\u2b1b|\u2b1c|\u2b50|\u2b55|\u231a|\u231b|\u2328|\u23cf|[\u23e9-\u23f3]|[\u23f8-\u23fa]|\ud83c\udccf|\u2934|\u2935|[\u2190-\u21ff])/g;
        
        var stringRemoveEmojiSpaceRegex = string.replace(regex, "");
        var stringFinal = stringRemoveEmojiSpaceRegex.replace(regexNoSpace, "");

        return stringFinal;
    }

    function calculNbCaractModele(contenuSms)
    {
        var regexModify = /[âêîôûÂÊÎÔÛ äëïöüÿÄËÏÖÜŸ ç°œÈÀÙ \\ § ´`„”“’‘å«»Á]/g;

        var regex1 = /[A-Za-z0-9.,;:!?$&"'()\-+=_%@*/<>ÇÉéèàù]/g;
        var regexSpace = /\s/g;
        var regex2 = /[€{}|\[\]]/g;

        var countAffiche = 0;
        var contenuAffiche = "";

        var typeSms = "M";

        if(typeSms == "M")
        {
            countAffiche += 14;
        }

        var contenuSmsSplit = contenuSms.split('');

        contenuSmsSplit.forEach(function(carac)
        {
            if(carac.indexOf(' ') !== -1)
            {
                countAffiche++;
            }
            else
            {
                var isInRegexModify = carac.match(regexModify);

                if(isInRegexModify != null)
                {
                    infoCarac = transformCaract(carac);

                    carac = infoCarac[0];
                    countLetterModify = infoCarac[1];

                    countAffiche += countLetterModify;
                }
                else
                {
                    var isInRegex1 = carac.match(regex1);

                    if(isInRegex1 != null)
                    {
                        countAffiche++;
                    }
                    else
                    {
                        var isInRegexSpace = carac.match(regexSpace);

                        if(isInRegexSpace != null)
                        {
                            countAffiche++;
                        }
                        else
                        {
                            var isInRegex2 = carac.match(regex2);

                            if(isInRegex2 != null)
                            {
                                countAffiche += 2;
                            }
                            else
                            {
                                countAffiche++;
                            }
                        }
                    }
                }
            }

            contenuAffiche += carac;
        });

        if(countAffiche <= 160)
        {
            var countGlobalAffiche = " / 160 {l s='characters (cost : 1 SMS)' mod='avosms'}";
        }
        else if(countAffiche <= 306)
        {
            var countGlobalAffiche = " / 306 {l s='characters (cost : 2 SMS)' mod='avosms'}";
        }
        else if(countAffiche <= 459)
        {
            var countGlobalAffiche = " / 459 {l s='characters (cost : 3 SMS)' mod='avosms'}";
        }
        else if(countAffiche <= 600)
        {
            var countGlobalAffiche = " / 600 {l s='characters (cost : 4 SMS)' mod='avosms'}";
        }
        else
        {
            var lastCaracContenuSmsOk = contenuAffiche.substring(599, 600);

            var lengthEndContenuSmsToDelete = countAffiche - 600;

            var isInRegex2LastCarac = lastCaracContenuSmsOk.match(regex2);

            if(isInRegex2LastCarac != null)
            {
                lengthEndContenuSmsToDelete++;
                contenuAffiche = contenuAffiche.substring(0, 599);
            }
            else
            {
                contenuAffiche = contenuAffiche.substring(0, 600);
            }

            countAffiche = countAffiche - lengthEndContenuSmsToDelete;

            var countGlobalAffiche = " / 600 {l s='characters (cost : 4 SMS)' mod='avosms'}";

            $("#modalTraitementContenu").modal('show');
        }

        // console.log(contenuAffiche);

        $("#countLetter").text(countAffiche + countGlobalAffiche);
        $('#AVOSMS_SEND_SMS_CONTENU').val(contenuAffiche);
    }

    function transformCaract(carac)
    {
        // console.log(carac);

        if(carac == "â" || carac == "ä" || carac == "å")
        {
            console.log('ici');
            carac = "a";
            var countAffiche = 1;
        }
        else if(carac == "Â" || carac == "Ä" || carac == "Á" || carac == "À")
        {
            carac = "A";
            var countAffiche = 1;
        }
        else if(carac == "ê" || carac == "ë")
        {
            carac = "e";
            var countAffiche = 1;
        }
        else if(carac == "Ê" || carac == "Ë" || carac == "È")
        {
            carac = "E";
            var countAffiche = 1;
        }
        else if(carac == "î" || carac == "ï")
        {
            carac = "i";
            var countAffiche = 1;
        }
        else if(carac == "Î" || carac == "Ï")
        {
            carac = "I";
            var countAffiche = 1;
        }
        else if(carac == "ô" || carac == "ö")
        {
            carac = "o";
            var countAffiche = 1;
        }
        else if(carac == "Ô" || carac == "Ö")
        {
            carac = "O";
            var countAffiche = 1;
        }
        else if(carac == "û" || carac == "ü")
        {
            carac = "u";
            var countAffiche = 1;
        }
        else if(carac == "Û" || carac == "Ü" || carac == "Ù")
        {
            carac = "U";
            var countAffiche = 1;
        }
        else if(carac == "ÿ")
        {
            carac = "y";
            var countAffiche = 1;
        }
        else if(carac == "Ÿ")
        {
            carac = "Y";
            var countAffiche = 1;
        }
        else if(carac == "ç")
        {
            carac = "c";
            var countAffiche = 1;
        }
        else if(carac == "°")
        {
            carac = "'";
            var countAffiche = 1;
        }
        else if(carac == "œ")
        {
            carac = "oe";
            var countAffiche = 2;
        }
        
        else if(carac == "\\")
        {
            carac = "/";
            var countAffiche = 1;
        }
        else if(carac == "´" || carac == "`" || carac == "’" || carac == "‘")
        {
            carac = "'";
            var countAffiche = 1;
        }
        else if(carac == "„" || carac == "”" || carac == "“" || carac == "»" || carac == "«")
        {
            carac = "\"";
            var countAffiche = 1;
        }
        else if(carac == "–")
        {
            carac = "-";
            var countAffiche = 1;
        }

        console.log(carac);

        return [carac, countAffiche];
    }


    $('#AVOSMS_SEND_SMS_MODELE').change(function()
    {
        var valueModeleAvosms = $('#AVOSMS_SEND_SMS_MODELE').val();

        if(valueModeleAvosms == 0)
        {
            var stringNoEmoji = "";
            $("#AVOSMS_SEND_SMS_CONTENU").val('');
        }
        else
        {
            var contenuModeleAvosms = $('#AVOSMS_SEND_SMS_MODELE').find('option:selected').attr('data-content');

            var stringNoEmoji = removeEmojis(contenuModeleAvosms);

            $("#AVOSMS_SEND_SMS_CONTENU").html(stringNoEmoji).text();
        }

        calculNbCaractModele(stringNoEmoji);
    });
</script>